Skip to main content
GET
/
cleemy-procurement
/
api
/
suppliers
List Suppliers
curl --request GET \
  --url https://{host}/cleemy-procurement/api/suppliers \
  --header 'Authorization: <authorization>'
{
  "items": [
    {
      "id": 123,
      "name": "<string>",
      "state": "Active",
      "territory": {
        "id": 123,
        "name": "<string>",
        "href": "<string>"
      },
      "legalRegistration": {
        "identifier": "<string>",
        "vatNumber": "<string>"
      },
      "contacts": [
        {
          "firstName": "<string>",
          "lastName": "<string>",
          "email": "jsmith@example.com",
          "phone": "<string>"
        }
      ],
      "paymentTerm": {
        "value": 123,
        "unit": "Day"
      },
      "bankAccount": {
        "iban": "<string>",
        "bic": "<string>"
      },
      "preferredNature": {
        "id": 123,
        "name": "<string>",
        "href": "<string>"
      },
      "preferredPaymentMethod": "BankTransfer",
      "preferredCostCenter": {
        "id": 123,
        "name": "<string>",
        "code": "<string>",
        "href": "<string>"
      },
      "establishments": [
        {
          "id": 123,
          "name": "<string>",
          "href": "<string>"
        }
      ],
      "flag": "Unflagged"
    }
  ],
  "prev": "<string>",
  "next": "<string>",
  "count": 1
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

state
enum<string>

Filter on supplier state.

Available options:
Active,
Archived
search.terms
string

Full-text search on supplier name.

fields.root
enum<string>[]

Include root collection fields (paging).

Available options:
prev,
next,
count
page

Page selection. Page tokens can be retrieved by adding ?fields.root=next,prev on your GET collections requests.

limit
integer

Page size.

Required range: 0 <= x <= 1000

Response

200 - application/json

OK

items
supplier · object[]
required
prev
next
count
integer<int32>
Required range: x >= 0